import request from '@/utils/request'
import Qs from 'qs'

/**
 * 1.新增菜单
 * 2.删除菜单
 * 3.修改菜单
 * 4.修改菜单状态
 * 5.查询菜单列表
 * 6.查询菜单详细
 * -------------------
 * 10.查询菜单下拉树结构
 * 11.根据角色ID查询菜单下拉树结构
 * 12.根据角色ID查询菜单下拉树结构 无按钮
 * */

// 1.新增菜单
export function addMenu(data) {
  data = Qs.stringify(data)
  return request({
    url: '/system/menu/add',
    method: 'post',
    data,
    headers: {}
  })
}

// 2.删除菜单
export function delMenu(menuId) {
  return request({
    url: '/system/menu/deleteLogical/' + menuId,
    method: 'delete'
  })
}

// 3.修改菜单
export function updateMenu(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/system/menu/update/' + businessId,
    method: 'put',
    data,
    headers: {}
  })
}

// 4.修改菜单状态
export function statusChange(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/system/menu/statusChange/' + businessId,
    method: 'put',
    data,
    headers: {}
  })
}

// 5.查询菜单列表
export function listMenu(query) {
  return request({
    url: '/system/menu/list',
    method: 'get',
    params: query
  })
}

// 6.查询菜单详细
export function getMenu(menuId) {
  return request({
    url: '/system/menu/detail/' + menuId,
    method: 'get'
  })
}

// 10.查询菜单下拉树结构
export function treeSelect(params) {
  return request({
    url: '/system/menu/treeSelect',
    method: 'get',
    params
  })
}

// 11.根据角色ID查询菜单下拉树结构
export function roleMenuTreeSelect(roleId) {
  return request({
    url: '/system/menu/roleMenuTreeSelect/' + roleId,
    method: 'get'
  })
}

// 12.根据角色ID查询菜单下拉树结构 无按钮
export function roleMenuTreeSelectMC(roleId) {
  return request({
    url: '/system/menu/treeSelectMC/' + roleId,
    method: 'get'
  })
}

